package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

public class ChunkInfo {

    private String knowledgeId;
    private String chunkContent;


    private String chunkRelationId;

    private Integer chunkSort;

    private String isOpen;

    public String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(String isOpen) {
        this.isOpen = isOpen;
    }

    public String getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    public String getChunkContent() {
        return chunkContent;
    }

    public void setChunkContent(String chunkContent) {
        this.chunkContent = chunkContent;
    }

    public String getChunkRelationId() {
        return chunkRelationId;
    }

    public void setChunkRelationId(String chunkRelationId) {
        this.chunkRelationId = chunkRelationId;
    }

    public Integer getChunkSort() {
        return chunkSort;
    }

    public void setChunkSort(Integer chunkSort) {
        this.chunkSort = chunkSort;
    }

    @Override
    public String toString() {
        return "ChunkInfo{" +
                "chunkContent='" + chunkContent + '\'' +
                ", chunkRelationId='" + chunkRelationId + '\'' +
                ", chunkSort=" + chunkSort +
                '}';
    }
}
